Loading...
Searching...
No Matches
Catch::Tag Struct Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::Tag:
[legend]

## Public Member Functions

constexpr | Tag (StringRef original_)

## Public Attributes

StringRef | original

## Friends

bool | operator< (Tag const &lhs, Tag const &rhs)
bool | operator== (Tag const &lhs, Tag const &rhs)

## Detailed Description

A view of a tag string that provides case insensitive comparisons

Note that in Catch2 internals, the square brackets around tags are not a part of tag's representation, so e.g. "[cool-tag]" is represented as "cool-tag" internally.

## Constructor & Destructor Documentation

## Tag()

Catch::Tag::Tag | ( | StringRef | original_ | ) |

inlineconstexpr

Here is the caller graph for this function:

## Friends And Related Symbol Documentation

## operator<

bool operator< | ( | Tag const & | lhs,
|  | Tag const & | rhs )

friend

## operator==

bool operator== | ( | Tag const & | lhs,
|  | Tag const & | rhs )

friend

## Member Data Documentation

## original

StringRef Catch::Tag::original

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp